lfo
Prev | Orchestra Opcodes and Operators | Next

## lfo

lfo — A low frequency oscillator of various shapes.

## Description

A low frequency oscillator of various shapes.

## Syntax

    kres lfo kamp, kcps [, itype]

    ares lfo kamp, kcps [, itype]

## Initialization

itype (optional, default=0) -- determine the waveform of the oscillator. Default is 0.

- itype = 0 - sine

- itype = 1 - triangles

- itype = 2 - square (bipolar)

- itype = 3 - square (unipolar)

- itype = 4 - saw-tooth

- itype = 5 - saw-tooth(down)

The sine wave is implemented as a 4096 table and linear interpolation. The others are calculated.

## Performance

kamp -- amplitude of output

kcps -- frequency of oscillator

## Examples

Here is an example of the lfo opcode. It uses the file lfo.csd.

Example 480. Example of the lfo opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac      ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o lfo.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    kcps  = 5
    itype = p4	;lfo type

    klfo line 0, p3, 20
    al   lfo klfo, kcps, itype
    asig poscil .5, 220+al, 1
         outs asig, asig

    endin
    </CsInstruments>
    <CsScore>
    ; sine wave.
    f 1 0 32768 10 1

    i 1 0 3 0	;lfo = sine
    i 1 + 3 2	;lfo = square
    i 1 + 3 5	;lfo = saw-tooth down
    e
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
November 1998

New in Csound version 3.491

Prev | Up | Next
lenarray | Home | limit